from django import forms
from django.forms import ModelForm, Textarea
from blogapp.models import blogentry, blogcomment
from django.contrib import admin

class blogentryAdminForm(forms.ModelForm):
    class Meta:
        model = blogentry
        fields = '__all__'
        widgets = {
            'intro': forms.Textarea(attrs={'cols': 80, 'rows': 20}),
            'body': forms.Textarea(attrs={'cols': 80, 'rows': 20}),
        }

class blogentryAdmin(admin.ModelAdmin):
	form = blogentryAdminForm
	list_display = ('header', )

class blogcommentAdmin(admin.ModelAdmin):
	list_display = ('date', )

admin.site.register(blogentry, blogentryAdmin)
admin.site.register(blogcomment, blogcommentAdmin)
